# Class ConnectionStats

- Defined in packages/net/src/ConnectionStats.ts:5

#####
Index

### Constructors

constructor

### Properties

closeCount
cxn
eoseCount
eoseTimer
errorCount
eventCount
lastAuth
lastClose
lastError
lastEvent
lastOpen
lastPublish
lastRequest
noticeCount
openCount
publishCount
publishFailureCount
publishSuccessCount
publishTimer
requestCount

### Methods

getPublishSpeed
getRequestSpeed

##
Constructors

### constructor

- new ConnectionStats(cxn: Connection ): ConnectionStats

- #### Parameters

  - cxn: Connection

  #### Returns ConnectionStats

  - Defined in packages/net/src/ConnectionStats.ts:26

##
Properties

### closeCount

closeCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:7

### `Readonly` cxn

cxn: Connection

- Defined in packages/net/src/ConnectionStats.ts:26

### eoseCount

eoseCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:22

### eoseTimer

eoseTimer: number = 0

- Defined in packages/net/src/ConnectionStats.ts:23

### errorCount

errorCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:8

### eventCount

eventCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:11

### lastAuth

lastAuth: number = 0

- Defined in packages/net/src/ConnectionStats.ts:18

### lastClose

lastClose: number = 0

- Defined in packages/net/src/ConnectionStats.ts:13

### lastError

lastError: number = 0

- Defined in packages/net/src/ConnectionStats.ts:14

### lastEvent

lastEvent: number = 0

- Defined in packages/net/src/ConnectionStats.ts:17

### lastOpen

lastOpen: number = 0

- Defined in packages/net/src/ConnectionStats.ts:12

### lastPublish

lastPublish: number = 0

- Defined in packages/net/src/ConnectionStats.ts:15

### lastRequest

lastRequest: number = 0

- Defined in packages/net/src/ConnectionStats.ts:16

### noticeCount

noticeCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:24

### openCount

openCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:6

### publishCount

publishCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:9

### publishFailureCount

publishFailureCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:21

### publishSuccessCount

publishSuccessCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:20

### publishTimer

publishTimer: number = 0

- Defined in packages/net/src/ConnectionStats.ts:19

### requestCount

requestCount: number = 0

- Defined in packages/net/src/ConnectionStats.ts:10

##
Methods

### getPublishSpeed

- getPublishSpeed(): number

- #### Returns number

  - Defined in packages/net/src/ConnectionStats.ts:96

### getRequestSpeed

- getRequestSpeed(): number

- #### Returns number

  - Defined in packages/net/src/ConnectionStats.ts:94